import { SPARQL_OPERATION } from './engine/plan-builder';
import AggregateStageBuilder from './engine/stages/aggregate-stage-builder';
import BGPStageBuilder from './engine/stages/bgp-stage-builder';
import BindStageBuilder from './engine/stages/bind-stage-builder';
import DistinctStageBuilder from './engine/stages/distinct-stage-builder';
import FilterStageBuilder from './engine/stages/filter-stage-builder';
import GlushkovStageBuilder from './engine/stages/glushkov-executor/glushkov-stage-builder';
import GraphStageBuilder from './engine/stages/graph-stage-builder';
import MinusStageBuilder from './engine/stages/minus-stage-builder';
import ServiceStageBuilder from './engine/stages/service-stage-builder';
import OptionalStageBuilder from './engine/stages/optional-stage-builder';
import OrderByStageBuilder from './engine/stages/orderby-stage-builder';
import UnionStageBuilder from './engine/stages/union-stage-builder';
import UpdateStageBuilder from './engine/stages/update-stage-builder';
declare const stages: {
    SPARQL_OPERATION: typeof SPARQL_OPERATION;
    AggregateStageBuilder: typeof AggregateStageBuilder;
    BGPStageBuilder: typeof BGPStageBuilder;
    BindStageBuilder: typeof BindStageBuilder;
    DistinctStageBuilder: typeof DistinctStageBuilder;
    FilterStageBuilder: typeof FilterStageBuilder;
    GlushkovStageBuilder: typeof GlushkovStageBuilder;
    GraphStageBuilder: typeof GraphStageBuilder;
    MinusStageBuilder: typeof MinusStageBuilder;
    ServiceStageBuilder: typeof ServiceStageBuilder;
    OptionalStageBuilder: typeof OptionalStageBuilder;
    OrderByStageBuilder: typeof OrderByStageBuilder;
    UnionStageBuilder: typeof UnionStageBuilder;
    UpdateStageBuilder: typeof UpdateStageBuilder;
};
export { default as Dataset } from './rdf/dataset';
export { Bindings, BindingBase } from './rdf/bindings';
export { default as HashMapDataset } from './rdf/hashmap-dataset';
export { default as Graph } from './rdf/graph';
export { default as ExecutionContext } from './engine/context/execution-context';
export { PlanBuilder } from './engine/plan-builder';
export { Pipeline } from './engine/pipeline/pipeline';
export { PipelineEngine, PipelineInput, PipelineStage, StreamPipelineInput } from './engine/pipeline/pipeline-engine';
export { default as RxjsPipeline } from './engine/pipeline/rxjs-pipeline';
export { default as VectorPipeline } from './engine/pipeline/vector-pipeline';
export { rdf } from './utils';
export { stages };
